<template>
  <v-container
    fluid
  >
    <v-row
      class="justify-center"
      align="center"
    >
      <v-col
        class="justify-center"
      >
        <m-card
          background-color-card-title="secondary"
          text-color-title="primary--text justify-center"          
          :source="$t('community.urlCommunity')"
          text-color="primary--text"
          :card-title="$t('community.title')"
          :card-text="$t('community.text')"
          :card-text-button="$t('community.button.label')"
          card-text-color-button="white--text mt-7"
          card-color-button="primary"
          :href-button="$t('community.button.route')"
        />
      </v-col>
      <v-col
        class="justify-center"
      >
        <m-card
          background-color-card-title="secondary"
          text-color-title="primary--text justify-center"
          :source="$t('event.urlEvent')"
          text-color="primary--text"
          :card-title="$t('event.title')"
          :card-text="$t('event.text')"
          :card-text-button="$t('event.button.label')"
          card-text-color-button="white--text mt-7"
          card-color-button="primary"
          :href-button="$t('event.button.route')"
          class="mx-2"
        />
      </v-col>
      <v-col
        class="justify-center"
      >
        <m-card
          background-color-card-title="secondary"
          text-color-title="primary--text justify-center"          
          text-color="primary--text"
          :source="$t('solidary.urlSolidary')"
          :card-title="$t('solidaryAndOtherDevices.title')"
          :card-text="$t('solidaryAndOtherDevices.text')"
          :card-text-button="$t('solidaryAndOtherDevices.button.label')"
          card-text-color-button="white--text mt-9"
          card-color-button="primary"
          card-size-button="large"
          :href-button="this.$t('solidaryAndOtherDevices.button.route')"
          class="mx-2"
          :user-id="userId"
        />
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import { merge } from "lodash";
import MCard from '@clientJs/components/home/MCard'
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MCard
  },
  props: {
    userId: {
      type: Number,
      default: null
    },
    urlMobile: {
      type: String,
      default: null
    }
  },
  data () {
    return {
      mobileUrl: this.urlMobile
    }
  }
}
</script>
